# mysqlzrm

#### Table of Contents

1. [Module Description - What the module does and why it is useful](#module-description)
2. [Setup - The basics of getting started with mysqlzrm](#setup)
    * [Beginning with mysqlzrm](#beginning-with-mysql)
3. [Usage - Configuration options and additional functionality](#usage)
4. [Development - Guide for contributing to the module](#development)

## Module Description

The mysqlzrm module installs, configures, and manages the MySQL-ZRM service.

This module manages both the installation and configuration of MySQL-ZRM, as well as extending Puppet to allow management of MySQL resources, such as databases, users, and grants.

## Setup

### Beginning with mysqlzrm

To install a server with the default options:

`include 'mysqlzrm'`.

restart mysql after installation.

`/etc/init.d/mysql restart`.


Compatibility with the following:

* RedHat Enterprise Linux 5, 6, 7
* Debian 6, 7, 8
* CentOS 5, 6, 7
* Ubuntu 10.04, 12.04, 14.04, 16.04
* Scientific Linux 5, 6
* SLES 11

Testing on other platforms has been minimal and cannot be guaranteed.
